Digital COAs

digital_coa_details

Get Digital COA Details.

Endpoint

GET /api/v1.5/digital_coas/<uuid>/

Response

{
  "uuid": "<uuid>",
  "batch_uuid": "<uuid>",
  "testing_laboratory": {
      "uuid": "<uuid>",
      "name": "",
      "logo_url": "<url>",
      "street_address_1": "",
      "street_address_2": "",
      "city": "",
      "state": "",
      "postal_code": ""
  },
  "sample_regulator_id": "",
  "batch_regulatory_id": "",
  "sample_received_on": "2021-02-10T05:35:04.607692Z",
  "report_created_on": "2021-02-10T05:35:04.607692Z",
  "report_expires_on": "2021-02-10T05:35:04.607692Z",
  "certificate_url": "<url>",
  "certificate_source_url": "<url>",
  "totals": {
      "total_active_cannabinoids": {
          "name": "Total active cannabinoids",
          "value": "1.5000",
          "unit": "mg"
      },
      "total_potential_thc": {
          "name": "Total potential THC",
          "value": null,
          "unit": ""
      },
      "total_thc": {
          "name": "Total THC",
          "value": "1.5000",
          "unit": "%"
      },
      "total_potential_cbd": {
          "name": "Total potential CBD",
          "value": null,
          "unit": ""
      },
      "total_cbd": {
          "name": "Total CBD",
          "value": null,
          "unit": ""
      },
      "total_terpenes": {
          "name": "Total terpenes",
          "value": "1.5000",
          "unit": "mg/g"
      }
  },
  "tests_performed": {
      "cannabinoid_potency_tests": "pass",
      "filth_and_foreign_material_tests": "not_tested",
      "heavy_metals_tests": "pass",
      "homogeneity_tests": "not_tested",
      "microbials_tests": "pass",
      "moisture_content_tests": "not_tested",
      "mycotoxins_tests": "not_tested",
      "pesticides_tests": "pass",
      "residual_solvents_tests": "pass",
      "terpene_profiling_tests": "pass",
      "water_activity_tests": "not_tested",
      "ph_tests": "not_tested",
      "chemical_residue_tests": "not_tested"
  },
  "sample_tested_on": "2020-05-12",
  "certificate_received_on": "2020-05-12",
  "entered_on": "2020-05-31T08:30:33.874053-07:00",
  "tests_cannabinoids": {},
  "tests_terpenes": {},
  "tests_residual_solvents": {},
  "tests_pesticides": {},
  "tests_heavy_metals": {},
  "tests_mycotoxins": {},
  "tests_microbials": {},
  "tests_filth_and_foreign_material": {},
  "tests_moisture_content": {},
  "tests_water_activity": {},
  "tests_ph": {},
  "tests_homogeneity": {},
  "tests_density": {}
}

Response Fields

Field

Type

Description

uuid

uuid

Unique identifier for the Digital COA

batch_uuid

uuid

UUID of the associated batch

testing_laboratory

object

Lab that performed the testing

sample_regulator_id

string

Regulatory ID for the sample

batch_regulatory_id

string

Regulatory ID for the batch

sample_received_on

datetime

When the sample was received by the lab

report_created_on

datetime

When the test report was created

report_expires_on

datetime

When the test report expires

certificate_url

string

URL to the certificate of analysis

certificate_source_url

string

URL to the original source certificate

totals

object

Summary totals for cannabinoids, THC, CBD, and terpenes

tests_performed

object

Pass/fail/not_tested status for each test category

sample_tested_on

date

When the sample was tested

certificate_received_on

date

When the certificate was received

entered_on

datetime

When the COA was entered into the system

tests_cannabinoids

object

Detailed cannabinoid test results by compound

tests_terpenes

object

Detailed terpene test results by compound

tests_residual_solvents

object

Residual solvent test results

tests_pesticides

object

Pesticide test results

tests_heavy_metals

object

Heavy metals test results

tests_mycotoxins

object

Mycotoxin test results

tests_microbials

object

Microbial test results

tests_filth_and_foreign_material

object

Filth and foreign material test results

tests_moisture_content

object

Moisture content test results

tests_water_activity

object

Water activity test results

tests_ph

object

pH test results

tests_homogeneity

object

Homogeneity test results

tests_density

object

Density test results

Each test result object contains compounds as keys, with values of {name, value, unit}.